# Poco

# class TextConverter

Library: Foundation
Package: Text
Header: Poco/TextConverter.h

## Description

A TextConverter converts strings from one encoding into another.

## Member Summary

Member Functions: convert

## Types

### Transform

typedef int (* Transform)(int);

Transform function for convert.

## Constructors

### TextConverter

TextConverter(
const TextEncoding & inEncoding,
const TextEncoding & outEncoding,
int defaultChar = '?'
);

Creates the TextConverter. The encoding objects must not be deleted while the TextConverter is in use.

## Destructor

### ~TextConverter

~TextConverter();

Destroys the TextConverter.

## Member Functions

### convert

int convert(
const std::string & source,
std::string & destination,
Transform trans
);

Converts the source string from inEncoding to outEncoding and appends the result to destination. Every character is passed to the transform function. If a character cannot be represented in outEncoding, defaultChar is used instead. Returns the number of encoding errors (invalid byte sequences in source).

### convert

int convert(
const void * source,
int length,
std::string & destination,
Transform trans
);

Converts the source buffer from inEncoding to outEncoding and appends the result to destination. Every character is passed to the transform function. If a character cannot be represented in outEncoding, defaultChar is used instead. Returns the number of encoding errors (invalid byte sequences in source).

### convert

int convert(
const std::string & source,
std::string & destination
);

Converts the source string from inEncoding to outEncoding and appends the result to destination. If a character cannot be represented in outEncoding, defaultChar is used instead. Returns the number of encoding errors (invalid byte sequences in source).

### convert

int convert(
const void * source,
int length,
std::string & destination
);

Converts the source buffer from inEncoding to outEncoding and appends the result to destination. If a character cannot be represented in outEncoding, defaultChar is used instead. Returns the number of encoding errors (invalid byte sequences in source).